EPFO Employee Name Search
This API validates employee details against EPFO establishment records by fetching employment information, establishment details, payment history, wage month records, ECR contribution status, and employee match results to verify employment association within a registered organization.
epfo_employee_name_search
POST https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_employee_name_search
Sample Request Body
establishmentId
string
Yes
Establishment Id of the organisation
establishmentName
string
Yes
Establishment Name or Organisation Name
employeeName
string
Yes
Name of the employee to search for
employmentMonth
string
Yes
Month value to check for, e.g. 'MM/YYYY'
Sample Post Parameters
{
"establishmentId": "MHBAN0059449001",
"establishmentName": "ABC Technologies Private Limited",
"employeeName": "John",
"employmentMonth": "02/2026"
}{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "164a2c09-50c1-42f2-889a-4c9b34e6da30",
"status": "completed",
"result": {
"establishmentId": "MHBAN0059449001",
"establishmentName": "ABC Technologies Private Limited",
"employeeName": "John",
"employmentMonth": "04/2026",
"id": 680,
"match": false,
"establishmentDetails": [
{
"establishmentName": "ABC Technologies Private Limited",
"officeName": "MADURAI",
"paymentDetails": [
{
"dateOfCredit": "15/05/2026",
"amount": "2,06,250",
"wageMonth": "04/2026",
"ecr": "YES",
"employeeMatch": [
"John T",
"John Doe R"
],
"trrn": "31525070271234"
}
],
"establishmentID": "MHBAN0059449001",
"address": "No 7 Kamaraj Nagar 3rd Street"
}
]
},
"requested_at": "2026-06-01T11:52:29.994Z",
"completed_at": "2026-06-01T11:52:31.842Z"
}Get details
GET https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_employee_name_search
Query parameters description is given below,
reference_id
String
Yes
Document reference id
Last updated